#include "imagedate.h"
#ifndef IMAGEDATERANGE_H
#define IMAGEDATERANGE_H

class ImageDateRange
{
public:
    ImageDateRange();
    ImageDateRange( const ImageDate& from, const ImageDate& to );

    enum MatchType { DontMatch, ExactMatch, RangeMatch };
    MatchType includes( const ImageDateRange& searchRange );
    ImageDate start() const;
    ImageDate end() const;
    bool operator<(const ImageDateRange& other ) const;

private:
    ImageDate _imageStart;
    ImageDate _imageEnd;
};


#endif /* IMAGEDATERANGE_H */

