#ifndef IMAGEDATERANGECOLLECTION_H
#define IMAGEDATERANGECOLLECTION_H
#include "imagedaterange.h"
#include <qvaluelist.h>
#include <qmap.h>

class ImageCount
{
public:
    ImageCount( int exact, int rangeMatch )
        : _exact( exact ), _rangeMatch( rangeMatch )
        {
        }
    ImageCount() {}

    int _exact;
    int _rangeMatch;
};


class ImageDateRangeCollection
{
public:
    void append( const ImageDateRange& );
    ImageCount count( const ImageDate& from, const ImageDate& to );

private:
    QValueList<ImageDateRange> _dates;
    QMap<ImageDateRange,ImageCount> _cache;
};


#endif /* IMAGEDATERANGECOLLECTION_H */

